<template>
   <div class="selectWrapper">
      <Select v-model="store.filters.city">
         <SelectTrigger>
            <SelectValue placeholder="Miejscowość" />
         </SelectTrigger>
         <SelectContent>
            <SelectItem v-for="item in store.villages" :key="item.id" :value="item.id + ''">
               {{ item.name }}
            </SelectItem>
         </SelectContent>
      </Select>
      <Select v-model="store.filters.type">
         <SelectTrigger>
            <SelectValue placeholder="Typ Inwestycji" />
         </SelectTrigger>
         <SelectContent>
            <SelectItem v-for="item in store.types" :key="item.id" :value="item.id + ''">
               {{ item.name }}
            </SelectItem>
         </SelectContent>
      </Select>
      <Select v-model="store.filters.year" style="max-width: 300px">
         <SelectTrigger>
            <SelectValue placeholder="Rok" />
         </SelectTrigger>
         <SelectContent>
            <SelectItem v-for="item in store.years" :key="item" :value="item">
               {{ item }}
            </SelectItem>
         </SelectContent>
      </Select>

      <Button variant="secondary" @click="clear()">Usuń filtry</Button>
   </div>
</template>

<script setup lang="ts">
import { onMounted, ref } from "vue"
import { useInvestments } from "@/views/Investments/store"
import Button from "@/components/ui/button/Button.vue"
import { Select, SelectContent, SelectItem, SelectTrigger, SelectValue } from "@/components/ui/select"

const store = useInvestments()
const valueOfCity = ref<number>(),
   valueOfInvest = ref<number>(),
   valueOfYear = ref<string>()

function clear() {
   valueOfCity.value = undefined
   valueOfInvest.value = undefined
   valueOfYear.value = undefined
   store.filters.city = ""
   store.filters.type = ""
   store.filters.year = ""
}

defineExpose({
   clear
})

onMounted(() => {
   store.loadData()
})
</script>

<style scoped>
.selectWrapper {
   display: flex;
   gap: 1rem;
}
.selectWrapper > * {
   margin-right: 3px;
}
@media (max-width: 600px) {
   .selectWrapper {
      flex-direction: column;
      width: 240px;
   }
   .selectWrapper > * {
      margin-top: 3px;
      margin-right: 0;
   }
}
</style>
